'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const fastJsonPatch = require('fast-json-patch');
const graphqlLiveQueryPatch = require('@n1ru4l/graphql-live-query-patch');

const applyJSONPatch = (previous, patch) => {
    const result = fastJsonPatch.applyPatch(previous, patch, true, false);
    return result.newDocument;
};

const applyLiveQueryJSONPatch = graphqlLiveQueryPatch.createApplyLiveQueryPatch(applyJSONPatch);

const generateJSONPatch = fastJsonPatch.compare;

const applyLiveQueryJSONPatchGenerator = graphqlLiveQueryPatch.createApplyLiveQueryPatchGenerator(generateJSONPatch);

const liveQueryJSONPatchGenerator = graphqlLiveQueryPatch.createLiveQueryPatchGenerator(generateJSONPatch);

exports.applyJSONPatch = applyJSONPatch;
exports.applyLiveQueryJSONPatch = applyLiveQueryJSONPatch;
exports.applyLiveQueryJSONPatchGenerator = applyLiveQueryJSONPatchGenerator;
exports.generateJSONPatch = generateJSONPatch;
exports.liveQueryJSONPatchGenerator = liveQueryJSONPatchGenerator;
//# sourceMappingURL=index.cjs.js.map
